Bug 1270286 - RFE: librepo will not resume partial downloads
RFE: librepo will not resume partial downloads
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: librepo (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mlcoch
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 09:52 EDT by Davide Repetto
Modified: 2017-01-10 03:40 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-10 03:40:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Davide Repetto 2015-10-09 09:52:45 EDT
Description of problem:
=======================
Partial downloads are not resumed.
This proves to be problematic on slow or unstable links while downloading big rpms.
If the connection goes away and dnf is executed again, the fully downloaded RPMS are correctly kept, but those two or three partially downloaded RPMs that where in the barrel are always restarted from scratch.

Version-Release number of selected component (if applicable):
=============================================================
dnf-1.1.2-4.fc22.noarch

How reproducible:
=================
Always
Comment 1 Hedayat Vatankhah 2015-12-01 23:02:24 EST
IIRC dnf had this feature before! I suddenly realized that DNF is always downloading a big package from start while I was thinking that I'm resuming it.
I switched to yum for now.
Comment 2 Fedora End Of Life 2016-07-19 14:09:58 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Davide Repetto 2017-01-10 03:40:13 EST
Works for me now.

Note You need to log in before you can comment on or make changes to this bug.